JGraph X 1.4.0.9

## com.mxgraph.util
Class mxSpline

    java.lang.Object
      com.mxgraph.util.mxSpline

    public class mxSpline

extends java.lang.Object

Constructor Summary
`mxSpline(java.util.List<mxPoint> points)`

Method Summary
`boolean` `checkValues()` Used to check the correctness of this spline
`double` `getDx(double t)`
`double` `getDy(double t)`
`double` `getLength()`
`mxPoint` `getPoint(double t)`
`mxSpline1D` `getSplineX()`
`mxSpline1D` `getSplineY()`
`protected void` `init(double[] x, double[] y)`
`void` `Spline2D(double[] x, double[] y)` Creates a new mxSpline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxSpline

    public mxSpline(java.util.List<mxPoint> points)

Method Detail

### Spline2D

    public void Spline2D(double[] x,
                         double[] y)

  Creates a new mxSpline.

  Parameters:
    `x` -
    `y` -

### init

    protected void init(double[] x,
                        double[] y)

### getPoint

    public mxPoint getPoint(double t)

  Parameters:
    `t` - 0 <= t <= 1

### checkValues

    public boolean checkValues()

  Used to check the correctness of this spline

### getDx

    public double getDx(double t)

### getDy

    public double getDy(double t)

### getSplineX

    public mxSpline1D getSplineX()

### getSplineY

    public mxSpline1D getSplineY()

### getLength

    public double getLength()

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.